/*
 *
 *
 *    Resea (x86/interrupt.c)
 *    Mafice <mafice@mflabo.net>
 *
 *
 */

#include "kernel.h"



/*
*  Function: hwIntHandler
*
*    IRQ番号に関連付けられた割り込みハンドラを実行する
*
*  Parameters:
*
*    irq -  IRQ番号
*
*  Returns:
*
*    なし
*
*/

void hwIntHandler (index_t irq){

  int (*isr)(void) = (void *) Interrupt.isr[irq];

  if((void *) Interrupt.isr[irq] == NULL)
    return;

  isr();

  return;
}

